Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security.wsse
Interface UsernameToken

public interface UsernameToken
extends Token

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getPassword()` Returns the token's password, if available.
`java.lang.String` | `getPasswordDigest()` returns the password digest, as encoded in the token
`java.lang.String` | `getPasswordType()` returns the password type for the token.
`UserInfo` | `getUserInfo()` Returns the UserInfo contained in the UsernameToken
`java.lang.String` | `getUsername()` Returns the tokens username.
`void` | `setGenerateNonce(boolean nonce)`
`void` | `setId(java.lang.String id)` Sets the ID attribute of the UsernameToken.
`boolean` | `verifyDigest(java.lang.String password)` If the token contains a digest, this method will verify the digest against the provided password

Methods inherited from interface weblogic.xml.security.wsse.Token
`getCertificate, getCertificateChain, getId, getPrivateKey, getPublicKey, getSecretKey`

Method Detail

### getUsername

    public java.lang.String getUsername()

  Returns the tokens username.

  Returns:

### getPassword

    public java.lang.String getPassword()

  Returns the token's password, if available.

  Returns:

### getPasswordDigest

    public java.lang.String getPasswordDigest()

  returns the password digest, as encoded in the token

  Returns:

### getPasswordType

    public java.lang.String getPasswordType()

  returns the password type for the token.

  Returns:

### setId

    public void setId(java.lang.String id)
               throws SecurityProcessingException

  Sets the ID attribute of the UsernameToken.

  Parameters:
    `id` -
  Throws:
    SecurityProcessingException -

### verifyDigest

    public boolean verifyDigest(java.lang.String password)
                         throws java.security.NoSuchAlgorithmException

  If the token contains a digest, this method will verify the digest against the provided password

  Parameters:
    `password` -
  Returns:
  Throws:
    java.security.NoSuchAlgorithmException -

### getUserInfo

    public UserInfo getUserInfo()

  Returns the UserInfo contained in the UsernameToken

  Returns:

### setGenerateNonce

    public void setGenerateNonce(boolean nonce)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD